#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;

int main()
{
    /*/
    declaration,definition,input
    /*/
    int n,m,x,y;
    cin>>n;
    cin>>m;
    int sqrarr [n][n];
    /*/
    matrica mora da bude ispunjena nulama
    /*/
    fill((int*)sqrarr,(int*)sqrarr+sizeof(sqrarr)/sizeof(int),0);
    int arr[n];
    for(int i = 0;i<n;i++)
    {
        cin>>arr[i];
    }
    for(int i = 0;i<m;i++)
    {
        cin>>x;
        cin>>y;

        sqrarr[x-1][y-1]=1;
        sqrarr[y-1][x-1]=1;
    }
    /*/
    main code
    /*/
    int g=0,u=0;
    for(int i=0;i<n;i++)
    {
        for(int j = g;j<n;j++)
        {
            if(sqrarr[i][j]==1)
            {
            if(arr[j]>0&&arr[i]>0)
                u+=(arr[i]+arr[j]);
            if(arr[j]<0&&arr[i]<0)
                u-=(arr[i]+arr[j]);
            }
            if(arr[i]>0&& arr[j]<0 || arr[i]<0&& arr[j]>0)
            {
                if(abs(arr[i])>abs(arr[j]))
                {
                u+=abs(arr[i]);
                u-=abs(arr[j]);
                }
                else
                {
                u+=abs(arr[j]);
                u-=abs(arr[i]);
                }
            }
        }
        g++;
    }
    cout<<u;
}